Inhalte
Index 🔎︎

# Objekt ThisComponent

Adressiert die aktive Komponente, deren Eigenschaften gelesen und festgelegt werden können und deren Methoden aufgerufen werden können. ThisComponent wird in Basic verwendet und stellt das aktuelle Dokument dar. Eigenschaften und Methoden, die über ThisComponent verfügbar sind, hängen vom Dokumenttyp ab.

### Syntax:

ThisComponent

### Beispiel:

    Sub Main
    ' Aktualisiert das "Inhaltsverzeichnis" in einem Textdokument
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Inhaltsverzeichnis1")
        ' Verwendet Standardnamen für Inhaltsverzeichnis + 1
        index.update()
    End Sub